gnutls_sign_is_secure2(3)

NAME
gnutls_sign_is_secure2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_sign_is_secure2(gnutls_sign_algorithm_t algorithm, unsigned int flags);

ARGUMENTS

gnutls_sign_algorithm_t algorithm
    is a sign algorithm

unsigned int flags
    zero or GNUTLS_SIGN_FLAG_SECURE_FOR_CERTS

RETURNS
Non-zero if the provided signature algorithm is considered to be secure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/